<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xjrsoft.module.student.mapper.QuotaFormulaRuleMapper">
    <select id="getPage" parameterType="com.xjrsoft.module.student.dto.QuotaFormulaRulePageDto" resultType="com.xjrsoft.module.student.vo.QuotaFormulaRulePageVo">
        select t.id, t.name, t.formula, GROUP_CONCAT(t1.name SEPARATOR ',') AS bind_quota
        from quota_formula_rule t
        LEFT JOIN xjr_dictionary_detail t1 ON FIND_IN_SET(t1.code, t.bind_quota)
        where t.delete_mark = 0
        GROUP BY t.id
        order by t.create_date
    </select>
</mapper>


